Skip to main content
GET
/
v1
/
models
/
{model_id}
/
examples
Search model examples
curl --request GET \
  --url https://api.runflow.io/v1/models/{model_id}/examples \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "input": {},
      "output": {},
      "status_code": 123,
      "cost": "<string>",
      "start_type": "<string>",
      "timing": {},
      "duration_ms": 123,
      "total_ms": 123,
      "thumbnail_url": "<string>",
      "category_code": "<string>",
      "is_featured": true,
      "is_public": true,
      "sort_order": 123,
      "ran_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

model_id
string
required

Model ID. Use 'any' to search across all parents.

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated model example list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null